=== data/themes/default-theme/plug-ins/switcher/CMakeLists.txt ===

########### install files ###############

install(FILES  switcher.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/switcher )
