=== debian/changelog ===
cairo-dock (3.0.99.beta1.1~20120827~bzr1193-0ubuntu2) quantal; urgency=low

  * Added bzr_screens_with_null_dimensions.patch from upstream:
   - Prevent screens with null dimensions: the dock can be invisible if the
     'multi-monitors' option is enabled and a wrong screen is chosen.
   - Try to get dimensions from all screens with XRandr and also with Xinerama
     if there is a problem.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 28 Aug 2012 11:46:13 +0200

cairo-dock (3.0.99.beta1.1~20120827~bzr1193-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * Upstream ChangeLog (detailed changes):
   - Task: the thread clean itself to avoid crash
      + fixed a typo with the check of bDiscard
      + cancel: checked if pThread has not been freeed before talking with it
      + converted g_print to cd_debug
      + Cancel the next iteration if 'iPeriod == 0'
   - Added a workaround for Metacity not handling the _NET_WM_OPACITY
      correctly
   - Man: Added the new -W (--metacity-workaround) option
   - XRandr: Use it by default instead of Xinerama which is deprecated
      according to its website
   - XRandr: Checked if 1.1 version is available for basic functions
      (e.g. to change the resolution) and 1.3 version (to replace Xinerama)
   - Xrandr: Added cairo_dock_xrandr_is_available (needed to avoid a crash
      in ShowDesktop applet)
   - Module Mgr: removed GModule dependence (which is no longer used since
      version 2.4)
      + stopped the compilation if 'dl' or 'm' libraries or 'dlfcn.h'
       or 'math.h' are not found
      + linked gldi to 'dl'
   - Progress bar: Cairo Backend: no longer drawn the bar if the value is 0
      (was drawn only on the Cairo backend)
   - Fixed a crash if we launch the dock with '-l debug' and if a module is
      not loaded (e.g. 'integration' modules)
   - include: <librsvg/rsvg-cairo.h> can no longer be included directly
      since LibRSVG 2.36.2
   - Class manager: handle custom .desktop files located in
      ~/.local/share/applications
   - Dialogs: fixed a small offset in the position of a dialog above its
      icon when the dock is hidden
   - Class Mgr: translations of QuickList menus are generally available in
      their Gettext domain (this info is available in the .desktop file)
   - Themes: updated themes folder, defined it in CMakeList.txt
   - Taskbar: fixed a bug that inserted an extra separator when grouping
      applis togather in a sub-dock
   - Menu: moved all window management entries to a submenu
  * debian/control:
   - Bump Cairo-Dock Plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 27 Aug 2012 15:17:48 +0200
