=== debian/changelog ===
cairo-dock (3.1.0-0ubuntu2) quantal; urgency=low

  * debian/control:
   - Cairo-Dock plug-ins dependencies: Removed '-0ubuntu1' to allow other
     distros and backports to work smoother (Thanks to Laney!) (LP: #1064130)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 23:36:25 +0200

cairo-dock (3.1.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1064130)
   - Even if there are a lot of changes, this is a 'bug-fix' version.
     Changes are big mainly because the translations have been updated and
     a lot of GCC warnings (from -Wall and -Wextra) have been fixed.
  * Upstream ChangeLog (detailed changes since the last version):
   - Only disable drag'n'drop onto the dock when the dock is completely
      locked, not when the icons position is locked.
   - Prevented quicklists for an icon
      (e.g. used by musicPlayer applet to remove double menu entries)
   - Menu: renamed this title: 'Below *other* windows'
     + fixed a typo (bIsMaximized was checked a bit too late)
   - Man: 'A' ('ask-backend') option was missing and 'i' (indirect) is
      no longer supported + for 'colors', used 'F' instead of 'A' which
      is already used by 'ask-backend'
   - When a label is updated, update the drawing accordingly
   - Dialogs: fixed a crash if the dialog was forced above (GTK3)
   - Advanced GUI: fixed a bug that prevented to edit a 2nd instance of
      an applet
      + renamed 'cairo-dock-gui-main.[ch]' to 'cairo-dock-gui-advanced.[ch]'
   - Don't close the dock if no plug-ins are found, just display the message
   - Menu on appli: put the window actions into a single menu-item, which
      avoid having a crowded menu or another sub-menu
   - Default view: use all the screen space to avoid the jitter of the dock
      when it is resized (although this is mainly a problem in the Window
      Managers, unfortunately very few handle the resizing correctly)
   - Locked dock: prevent any modification when the dock is locked
   - Advanced GUI: fixed a small bug when reloading an applet
   - Application manager: handle the case where there is no dock
      (e.g. for cairo-desklet)
   - when starting in maintenance mode, force the use of the advanced
      configuration (easier to fix problem)
   - Compilation: fixed a lot of warnings during the compilation
      (mostly 'unused-variable' and 'unused-parameters' by using
       G_GNUC_UNUSED) when using -Wall and -Wextra
   - GTK3.4: used GtkGrid instead of GtkTable (now deprecated)
   - Labels in vertical dock:
    + fixed the calculation with a helper
    + terminate with a gradation if the label is too large to be fully drawn
    + fixed a small offset in the position of the X icon geometry
   - Indicators: icons was not visible with the Cairo backend if we wanted to
      have an image as indicator of the active window and if we don't give
      any image
   - Fixed a bug in cairo_dock_create_surface_from_pattern
      (when using a pattern as the background image)
   - Themes: Added write rights in the new theme folder
      (if the user has just changed its current theme)
   - OpenGL backend: fixed a small bug in the drawing of always visible icons
   - Fixed a crash when re-inserting an applet into a dock
   - GUI: fixed 2 bugs in the module widget
   - Taskbar: when placing appli icons after launchers, don't count
      separators as launchers
   - When loading an image based on a pattern, constrain the image height,
      so that it only repeats on its width
   - Taskbar: added back the use of _NET_WM_STATE_DEMANDS_ATTENTION
      (this might be used by Skype and therefore solve the bug LP: #1013635)
   - Menu: Window Actions: drawn: Min - Max - Close instead of
      Max - Min - Close + drawn Min and Max only if the window is not hidden
   - Code cleaning: removed a few useless g_print (or used cd_debug instead)
   - Menu: Custom icon: only display images on the file chooser
   - Menu: Custom Icon: do not display the menu entry if bLockAll is defined
      (if the action is useless) + do not stop the action if bLockIcons
   - Widget Items: the main GtkWindow is needed to build other widgets
   - po: imported translations from Launchpad and Added Lithuanian language
   - Options: AskBackend: show the backend even if we force the use of the
      OpenGL backend
   - Help: Help menu entry: this menu entry no longer worked: used
      cairo_dock_show_items_gui like the Edit menu entry
   - Menu: Help menu entry: if we use the simple mode, switch to the advanced
      mode because the help settings are only available there
   - Some cleaning
  * debian/patches/bzr_screens_with_null_dimensions.patch:
   - Removed (now in upstream)
  * Added bzr_translate_titles_of_categories_and_readme from upstream:
   - Translate the titles of all main categories and views' description
  * debian/control:
   - Bumpped Cairo-Dock Plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 02:53:48 +0200
