## cairo-dock 3.1.1

=== debian/changelog ===
cairo-dock (3.1.1-2) unstable; urgency=low

  * Update version of cairo-dock-plug-ins. (Closes: #692012)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 24 Nov 2012 11:25:31 +0900

cairo-dock (3.1.1-1) unstable; urgency=low

  * Imported Upstream version 3.1.1

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 17 Nov 2012 17:19:10 +0900

cairo-dock (3.1.0-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Imported Upstream version 3.1.0
    - Fix GCC-4.7 optimization (Closes: #676841)
  * Update debian/cairo-dock-core.install
    - Remove usr/bin/cairo-dock-package-theme 
  * Add unapply-patches for unapply patches after build
  * Add patch: Fix typo
  * Add patch: Remove Encoding from desktop files
  * Update debian/changelog
  * Fix debian/control: remove duplicate fileds

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 14 Oct 2012 04:05:07 +0900

cairo-dock (3.0.2-1) experimental; urgency=low

  * Imported Upstream version 3.0.2.
  * Fix syntax-error-in-dep5-copyright.
  * Update debian/control.
    Add dpkg-dev (>= 1.16.1~) to Build-Depends
  * Update debian/rules.
    Enable hardening
  * Remove 0001-Fix-GLIB-Single-Include-issue-Closes-665514.patch
    And patches directory.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 27 Jul 2012 09:27:53 +0900
